# GstValidatePipelineMonitor

TODO

## GstValidatePipelineMonitor

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstValidateMonitor
                    ╰──GstValidateElementMonitor
                        ╰──GstValidateBinMonitor
                            ╰──GstValidatePipelineMonitor

GStreamer Validate PipelineMonitor class.

Class that wraps a GstPipeline for Validate checks

### Members

`parent` (GstValidateBinMonitor) –
No description available

### Class structure

#### GstValidatePipelineMonitorClass

GStreamer Validate PipelineMonitor object class.

##### Fields

`parent_class` (GstValidateBinMonitorClass) –

parent

### GstValidate.PipelineMonitorClass

GStreamer Validate PipelineMonitor object class.

##### Attributes

`parent_class` (GstValidate.BinMonitorClass) –

parent

### GstValidate.PipelineMonitorClass

GStreamer Validate PipelineMonitor object class.

##### Attributes

`parent_class` (GstValidate.BinMonitorClass) –

parent

## GstValidate.PipelineMonitor

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstValidate.Monitor
                    ╰──GstValidate.ElementMonitor
                        ╰──GstValidate.BinMonitor
                            ╰──GstValidate.PipelineMonitor

GStreamer Validate PipelineMonitor class.

Class that wraps a Gst.Pipeline for Validate checks

### Members

`parent` (GstValidate.BinMonitor) –
No description available

## GstValidate.PipelineMonitor

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstValidate.Monitor
                    ╰──GstValidate.ElementMonitor
                        ╰──GstValidate.BinMonitor
                            ╰──GstValidate.PipelineMonitor

GStreamer Validate PipelineMonitor class.

Class that wraps a Gst.Pipeline for Validate checks

### Members

`parent` (GstValidate.BinMonitor) –
No description available

### Constructors

#### gst_validate_pipeline_monitor_new

    GstValidatePipelineMonitor *
    gst_validate_pipeline_monitor_new (GstPipeline * pipeline,
                                       GstValidateRunner * runner,
                                       GstValidateMonitor * parent)

Parameters:

`pipeline` ( [transfer: none]) –

a GstPipeline to run Validate on

`runner` ( [transfer: none]) –

a GstValidateRunner

`parent` ( [nullable]) –

The parent of the new monitor

Returns ( [transfer: full]) –

A GstValidatePipelineMonitor

#### GstValidate.PipelineMonitor.prototype.new

    function GstValidate.PipelineMonitor.prototype.new(pipeline: Gst.Pipeline, runner: GstValidate.Runner, parent: GstValidate.Monitor): {
        // javascript wrapper for 'gst_validate_pipeline_monitor_new'
    }

Parameters:

`pipeline` (Gst.Pipeline) –

a Gst.Pipeline to run Validate on

`runner` (GstValidate.Runner) –

a GstValidate.Runner

`parent` (GstValidate.Monitor) –

The parent of the new monitor

Returns (GstValidate.PipelineMonitor) –

A GstValidate.PipelineMonitor

#### GstValidate.PipelineMonitor.new

    def GstValidate.PipelineMonitor.new (pipeline, runner, parent):
        #python wrapper for 'gst_validate_pipeline_monitor_new'

Parameters:

`pipeline` (Gst.Pipeline) –

a Gst.Pipeline to run Validate on

`runner` (GstValidate.Runner) –

a GstValidate.Runner

`parent` (GstValidate.Monitor) –

The parent of the new monitor

Returns (GstValidate.PipelineMonitor) –

A GstValidate.PipelineMonitor

## Function Macros

### GST_IS_VALIDATE_PIPELINE_MONITOR

    #define GST_IS_VALIDATE_PIPELINE_MONITOR(obj)              (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GST_TYPE_VALIDATE_PIPELINE_MONITOR))

### GST_IS_VALIDATE_PIPELINE_MONITOR_CLASS

    #define GST_IS_VALIDATE_PIPELINE_MONITOR_CLASS(klass)      (G_TYPE_CHECK_CLASS_TYPE ((klass), GST_TYPE_VALIDATE_PIPELINE_MONITOR))

### GST_VALIDATE_PIPELINE_MONITOR_CAST

    #define GST_VALIDATE_PIPELINE_MONITOR_CAST(obj)            ((GstValidatePipelineMonitor*)(obj))

### GST_VALIDATE_PIPELINE_MONITOR_CLASS_CAST

    #define GST_VALIDATE_PIPELINE_MONITOR_CLASS_CAST(klass)    ((GstValidatePipelineMonitorClass*)(klass))

### GST_VALIDATE_PIPELINE_MONITOR_GET_PIPELINE

    #define GST_VALIDATE_PIPELINE_MONITOR_GET_PIPELINE(m) (GST_PIPELINE_CAST (GST_VALIDATE_ELEMENT_MONITOR_GET_ELEMENT (m)))

## Constants

### GST_TYPE_VALIDATE_PIPELINE_MONITOR

    #define GST_TYPE_VALIDATE_PIPELINE_MONITOR			(gst_validate_pipeline_monitor_get_type ())

The results of the search are